public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcbor/
Date: Wed,  1 Feb 2023 02:23:12 +0000 (UTC)	[thread overview]
Message-ID: <1675218184.2361ae5f983a26473111a48496fbaf06c577cbf6.chutzpah@gentoo> (raw)

commit:     2361ae5f983a26473111a48496fbaf06c577cbf6
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  1 02:23:04 2023 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Feb  1 02:23:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2361ae5f

dev-libs/libcbor: add 0.10.2

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-libs/libcbor/Manifest              |  1 +
 dev-libs/libcbor/libcbor-0.10.2.ebuild | 70 ++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-libs/libcbor/Manifest b/dev-libs/libcbor/Manifest
index fcb60a3759e7..20b568f676d6 100644
--- a/dev-libs/libcbor/Manifest
+++ b/dev-libs/libcbor/Manifest
@@ -1,2 +1,3 @@
 DIST libcbor-0.10.1.tar.gz 284393 BLAKE2B 49b224493b4743fab0352e139ed9e85873238beb25e23555cd31f2ef720f6eb9ac136f26a92be56778f703f240dab2b6e0beddbb88c5cbf7edf084db7e96df76 SHA512 fd662d59127cd86a7e13eeb87ba0b4a9280f367b77fe85f579e5c230503ad39a323a8b9dfb8c6a49f8a05d5b81460ca4526dc130c7e1d403fd0839c0f37f5548
+DIST libcbor-0.10.2.tar.gz 289450 BLAKE2B 3ef2d7fd7942ff32acbe59db6a4b68ad72dde3af4675ef2ee3c93666360554d6e9a29392dbc4fb3029f9ff821f536b90bfd1c522c9c9c2298ab511322fb53d37 SHA512 23c6177443778d4b4833ec7ed0d0e639a0d4863372e3a38d772fdce2673eae6d5cb2a31a2a021d1a699082ea53494977c907fd0e94149b97cb23a4b6d039228a
 DIST libcbor-0.9.0.tar.gz 275405 BLAKE2B 7e78722650c702552dda4844615c454989281abe8c45ba3c9168af16e9d440a1b7e4e0c9afd89faa48e74ba85dcbe0c7733eec3e44fdafc0ca340e97574fe274 SHA512 710239f69d770212a82e933e59df1aba0fb3ec516ef6666a366f30a950565a52981b0d46ca7e0eea739f5785d79cc21fc19acd857a4a0b135f4f6aa3ef5fd3b0

diff --git a/dev-libs/libcbor/libcbor-0.10.2.ebuild b/dev-libs/libcbor/libcbor-0.10.2.ebuild
new file mode 100644
index 000000000000..db0bd0476f03
--- /dev/null
+++ b/dev-libs/libcbor/libcbor-0.10.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit python-any-r1 cmake
+
+DESCRIPTION="CBOR protocol implementation for C and others"
+HOMEPAGE="https://github.com/pjk/libcbor"
+SRC_URI="https://github.com/PJK/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+custom-alloc doc test"
+
+BDEPEND="
+	doc? (
+		$(python_gen_any_dep '
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+			dev-python/breathe[${PYTHON_USEDEP}]
+		')
+	)
+	test? ( dev-util/cmocka )
+"
+
+RESTRICT="!test? ( test )"
+
+python_check_deps() {
+	python_has_version \
+		"dev-python/sphinx[${PYTHON_USEDEP}]" \
+		"dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]" \
+		"dev-python/breathe[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	use doc && python-any-r1_pkg_setup
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DCMAKE_BUILD_TYPE=Release
+		-DCBOR_CUSTOM_ALLOC=$(usex custom-alloc 'ON' 'OFF')
+		-DWITH_TESTS=$(usex test 'ON' 'OFF')
+	)
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+
+	if use doc; then
+		mkdir -p doc/build || die
+		pushd doc >/dev/null || die
+		emake html man
+		popd >/dev/null || die
+	fi
+}
+
+src_install() {
+	cmake_src_install
+
+	if use doc; then
+		dodoc -r doc/build/html
+		doman doc/build/man/*
+	fi
+}


             reply	other threads:[~2023-02-01  2:23 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-01  2:23 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-28 17:01 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcbor/ Sam James
2024-05-28 14:03 Sam James
2024-05-28 13:19 Sam James
2024-05-28 12:44 Sam James
2024-05-28 12:29 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-04-23 22:58 Patrick McLean
2023-11-28 16:34 Sam James
2023-06-10 21:05 Andreas Sturmlechner
2023-05-21  5:35 Sam James
2023-05-01  6:05 Arthur Zamarin
2023-05-01  2:26 Sam James
2023-05-01  2:26 Sam James
2023-05-01  0:16 Sam James
2023-05-01  0:09 Sam James
2023-05-01  0:09 Sam James
2023-05-01  0:09 Sam James
2023-03-04 14:06 Arthur Zamarin
2023-03-04  8:18 Arthur Zamarin
2023-03-04  6:09 Arthur Zamarin
2023-03-04  5:47 Arthur Zamarin
2023-01-05 17:14 Patrick McLean
2022-10-04 20:23 Arthur Zamarin
2022-06-02  0:15 Sam James
2022-06-01  8:32 Jakov Smolić
2022-06-01  8:15 Jakov Smolić
2022-06-01  8:14 Jakov Smolić
2022-06-01  7:37 Sam James
2022-06-01  7:31 Sam James
2022-06-01  7:31 Sam James
2022-05-05 23:48 WANG Xuerui
2022-01-17  7:26 Joshua Kinard
2021-11-26 20:52 Patrick McLean
2021-10-02  9:08 James Le Cuirot
2021-08-02 16:42 Marek Szuba
2021-05-23 19:28 Michał Górny
2021-02-06 21:29 Sam James
2021-02-06 13:27 Sam James
2021-01-14 20:09 Sergei Trofimovich
2021-01-01  0:53 Michał Górny
2020-12-27 12:51 Sergei Trofimovich
2020-12-24 22:06 Sergei Trofimovich
2020-12-24 10:03 Agostino Sarubbo
2020-12-22 21:04 Sam James
2020-12-22 21:03 Sam James
2020-12-21 23:55 Sam James
2020-12-21 17:48 Thomas Deutschmann
2020-09-29 21:25 Sergei Trofimovich
2020-09-21 17:36 Patrick McLean
2020-07-12  1:51 Sam James
2020-06-01  4:16 Matt Turner
2020-05-31 19:09 Sergei Trofimovich
2020-05-31 15:17 Sergei Trofimovich
2020-05-28 18:20 Sergei Trofimovich
2020-05-02 13:30 Mart Raudsepp
2020-04-25 19:41 Patrick McLean
2020-04-04 10:52 Sergei Trofimovich
2020-03-30 17:03 Thomas Deutschmann
2020-03-17  1:55 Patrick McLean
2020-03-17  1:41 Patrick McLean
2020-03-15 12:17 Mikle Kolyada
2020-02-16  7:13 Georgy Yakovlev
2020-02-16  5:57 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675218184.2361ae5f983a26473111a48496fbaf06c577cbf6.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox